Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class AdminManagementImpl

`java.lang.Object
oracle.ovs.api.AdminManagementImpl`

All Implemented Interfaces:
  AdminManagement

      public class AdminManagementImpl

extends java.lang.Object
implements AdminManagement

Adminservice implementation,including user/group/role management and their relationship

Constructor Summary
`AdminManagementImpl()`

Method Summary
`OVMGroup` | `createGroup(java.lang.String groupName, java.lang.String desc)` createGroup
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password)` Deprecated.
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password, java.lang.Long roleId)` createUser
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password, java.lang.String accountStatus)` Deprecated.
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password, java.lang.String accountStatus, java.lang.Long roleId)` createUser
`OVMUserGroup` | `createUserGroup(java.lang.Long userId, java.lang.Long groupId)` createUserGroup
`OVMUserSite` | `createUserSite(java.lang.Long userId, java.lang.Long siteId)` createUserSite
`OVMGroup[]` | `findAllOVMGroup()` findAllOVMGroup
`OVMRole[]` | `findAllOVMRole()` find all ovmRoleCofig objects
`OVMUser[]` | `findAllOVMUser()` findAllOVMUser
`OVMUserGroup[]` | `findAllOVMUserGroup()` findAllOVMUserGroup
`OVMUserRole[]` | `findAllOVMUserRole()` findAllOVMUserRole
`OVMUserSite[]` | `findAllOVMUserSite()` findAllOVMUserSite
`OVMUser` | `findUserById(java.lang.Long Id)` find user by id
`boolean` | `isAdminUser(java.lang.String accountName)` check if user is admin user
`java.lang.String` | `login(java.lang.String accountName, java.lang.String password, java.lang.String extProps)` login API
`boolean` | `logout(java.lang.String token, java.lang.String accountName, java.lang.String password)` logout API
`OVMUser[]` | `searchUsers(java.lang.String accountName, java.lang.String email, java.lang.String status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminManagementImpl

    public AdminManagementImpl()

Method Detail

### findUserById

    public OVMUser findUserById(java.lang.Long Id)

  find user by id
  Specified by:
    `findUserById` in interface `AdminManagement`
  Parameters:
    `Id` -
  Returns:
    OVMUser

### createGroup

    public OVMGroup createGroup(java.lang.String groupName,
                                java.lang.String desc)
                         throws oracle.ovs.biz.exception.OVSException

  createGroup
  Specified by:
    `createGroup` in interface `AdminManagement`
  Parameters:
    `groupName` -
    `desc` -
  Returns:
    OVMGroup
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUserGroup

    public OVMUserGroup createUserGroup(java.lang.Long userId,
                                        java.lang.Long groupId)
                                 throws oracle.ovs.biz.exception.OVSException

  createUserGroup
  Specified by:
    `createUserGroup` in interface `AdminManagement`
  Parameters:
    `userId` -
    `groupId` -
  Returns:
    OVMUserGroup
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUserSite

    public OVMUserSite createUserSite(java.lang.Long userId,
                                      java.lang.Long siteId)
                               throws oracle.ovs.biz.exception.OVSException

  createUserSite
  Specified by:
    `createUserSite` in interface `AdminManagement`
  Parameters:
    `userId` -
    `siteId` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUser

    public OVMUser createUser(java.lang.String accountName,
                              java.lang.String email,
                              java.lang.String firstName,
                              java.lang.String lastName,
                              java.lang.String password)
                       throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  createUser
  Specified by:
    `createUser` in interface `AdminManagement`
  Parameters:
    `accountName` -
    `email` -
    `firstName` -
    `lastName` -
    `password` - String password = "password"; byte messageByte[] = password.getBytes(); MessageDigest md5 = MessageDigest.getInstance("MD5"); byte digestByte[] = md5.digest(messageByte); BASE64Encoder b64Encoder = new BASE64Encoder(); String encryptedPassword = b64Encoder.encode(digestByte);
  Returns:
    OVMUser
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUser

    public OVMUser createUser(java.lang.String accountName,
                              java.lang.String email,
                              java.lang.String firstName,
                              java.lang.String lastName,
                              java.lang.String password,
                              java.lang.String accountStatus)
                       throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  createUser
  Specified by:
    `createUser` in interface `AdminManagement`
  Parameters:
    `accountName` -
    `email` -
    `firstName` -
    `lastName` -
    `password` - String password = "password"; byte messageByte[] = password.getBytes(); MessageDigest md5 = MessageDigest.getInstance("MD5"); byte digestByte[] = md5.digest(messageByte); BASE64Encoder b64Encoder = new BASE64Encoder(); String encryptedPassword = b64Encoder.encode(digestByte);
    `accountStatus` -
  Returns:
    OVMUser
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUser

    public OVMUser createUser(java.lang.String accountName,
                              java.lang.String email,
                              java.lang.String firstName,
                              java.lang.String lastName,
                              java.lang.String password,
                              java.lang.Long roleId)
                       throws oracle.ovs.biz.exception.OVSException

  createUser
  Specified by:
    `createUser` in interface `AdminManagement`
  Parameters:
    `accountName` -
    `email` -
    `firstName` -
    `lastName` -
    `password` - String password = "password"; byte messageByte[] = password.getBytes(); MessageDigest md5 = MessageDigest.getInstance("MD5"); byte digestByte[] = md5.digest(messageByte); BASE64Encoder b64Encoder = new BASE64Encoder(); String encryptedPassword = b64Encoder.encode(digestByte);
    `roleId` -
  Returns:
    OVMUser
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUser

    public OVMUser createUser(java.lang.String accountName,
                              java.lang.String email,
                              java.lang.String firstName,
                              java.lang.String lastName,
                              java.lang.String password,
                              java.lang.String accountStatus,
                              java.lang.Long roleId)
                       throws oracle.ovs.biz.exception.OVSException

  createUser
  Specified by:
    `createUser` in interface `AdminManagement`
  Parameters:
    `accountName` -
    `email` -
    `firstName` -
    `lastName` -
    `password` - String password = "password"; byte messageByte[] = password.getBytes(); MessageDigest md5 = MessageDigest.getInstance("MD5"); byte digestByte[] = md5.digest(messageByte); BASE64Encoder b64Encoder = new BASE64Encoder(); String encryptedPassword = b64Encoder.encode(digestByte);
    `accountStatus` -
    `roleId` -
  Returns:
    OVMUser
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### findAllOVMRole

    public OVMRole[] findAllOVMRole()

  find all ovmRoleCofig objects
  Specified by:
    `findAllOVMRole` in interface `AdminManagement`
  Returns:
    OVMRoleCofig array

### findAllOVMGroup

    public OVMGroup[] findAllOVMGroup()

  findAllOVMGroup
  Specified by:
    `findAllOVMGroup` in interface `AdminManagement`
  Returns:
    OVMGroup list

### findAllOVMUser

    public OVMUser[] findAllOVMUser()

  findAllOVMUser
  Specified by:
    `findAllOVMUser` in interface `AdminManagement`
  Returns:
    OVMUser list

### searchUsers

    public OVMUser[] searchUsers(java.lang.String accountName,
                                 java.lang.String email,
                                 java.lang.String status)

  Specified by:
    `searchUsers` in interface `AdminManagement`
  Parameters:
    `accountName` -
    `email` -
    `status` -
  Returns:

### findAllOVMUserGroup

    public OVMUserGroup[] findAllOVMUserGroup()

  findAllOVMUserGroup
  Specified by:
    `findAllOVMUserGroup` in interface `AdminManagement`
  Returns:
    OVMUserGroup list

### findAllOVMUserRole

    public OVMUserRole[] findAllOVMUserRole()

  findAllOVMUserRole
  Specified by:
    `findAllOVMUserRole` in interface `AdminManagement`
  Returns:
    All OVMUserRole list

### findAllOVMUserSite

    public OVMUserSite[] findAllOVMUserSite()

  findAllOVMUserSite
  Specified by:
    `findAllOVMUserSite` in interface `AdminManagement`
  Returns:
    OVMUserSite list

### login

    public java.lang.String login(java.lang.String accountName,
                                  java.lang.String password,
                                  java.lang.String extProps)
                           throws oracle.ovs.biz.exception.OVSException

  login API
  Specified by:
    `login` in interface `AdminManagement`
  Parameters:
    `accountName` - name
    `password` - encrypted with MD5 and Base64 encode,see createUser
    `extProps` - can be null or anything String currently
  Returns:
    token
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### logout

    public boolean logout(java.lang.String token,
                          java.lang.String accountName,
                          java.lang.String password)
                   throws oracle.ovs.biz.exception.OVSException

  logout API
  Specified by:
    `logout` in interface `AdminManagement`
  Parameters:
    `token` - generated by login API
    `accountName` - name
    `password` - encrypted with MD5 and Base64 encode,see createUser
  Returns:
    boolean
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### isAdminUser

    public boolean isAdminUser(java.lang.String accountName)
                        throws oracle.ovs.biz.exception.OVSException

  check if user is admin user
  Specified by:
    `isAdminUser` in interface `AdminManagement`
  Parameters:
    `accountName` -
  Returns:
    true or false
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.